import { eAuthenticity, eCheckResult } from '../../../../../../../../../../../../../consts';
import { aAuthenticityCheckResult } from '../../authenticity-check-result.abstract';
import { FibersType, iFibersType } from './children';
/**
* Result type of AuthenticityFibersTypeCheckResult
*/
export type tAuthenticityFibersTypeCheckResultType = eAuthenticity.UV_FIBERS;
/**
* Result type of AuthenticityFibersTypeCheckResult
*/
export declare const AuthenticityFibersTypeCheckResultTypes: tAuthenticityFibersTypeCheckResultType[];
/**
* Container for FibersType
*/
export interface iAuthenticityFibersTypeCheckResult extends aAuthenticityCheckResult {
    /**
    * Type of the performed check (eAuthenticity)
    * @type {tAuthenticityFibersTypeCheckResultType}
    */
    Type: tAuthenticityFibersTypeCheckResultType;
    /**
    * Overall checking result
    * @type {eCheckResult}
    */
    Result: eCheckResult;
    /**
    * Array of results of checks
    * @type {iFibersType[]}
    */
    List: iFibersType[];
    /**
    * Number of List items
    * @type {number}
    */
    Count: number;
}
/**
* Container for FibersType
*/
export declare class AuthenticityFibersTypeCheckResult extends aAuthenticityCheckResult implements iAuthenticityFibersTypeCheckResult {
    /**
    * Type of the performed check (eAuthenticity)
    * @type {tAuthenticityFibersTypeCheckResultType}
    */
    Type: tAuthenticityFibersTypeCheckResultType;
    /**
    * Overall checking result
    * @type {eCheckResult}
    */
    Result: eCheckResult;
    /**
    * Array of results of checks
    * @type {FibersType[]}
    */
    List: FibersType[];
    /**
    * Number of List items
    * @type {number}
    */
    Count: number;
    /**
    * Convert plain object to AuthenticityFibersTypeCheckResult instance
    * @param {unknown} plain - plain object
    * @returns {AuthenticityFibersTypeCheckResult} - instance
    */
    static fromPlain: (plain: unknown) => AuthenticityFibersTypeCheckResult;
    /**
    * Check if the given object is an instance of AuthenticityFibersTypeCheckResult
    * @param {unknown} type - object to check
    * @returns {type is AuthenticityFibersTypeCheckResult} - result
    */
    static isBelongs: (type: unknown) => type is AuthenticityFibersTypeCheckResult;
}
