import { eAuthenticity, eCheckResult } from '../../../../../../../../../../../../../consts';
import { aAuthenticityCheckResult } from '../../authenticity-check-result.abstract';
import { iPhotoIdentResult, PhotoIdentResult } from './children';
/**
* Result type of AuthenticityPhotoIdentCheckResult
*/
export type tAuthenticityPhotoIdentCheckResultType = eAuthenticity.IPI | eAuthenticity.IR_PHOTO;
/**
* Result type of AuthenticityPhotoIdentCheckResult
*/
export declare const AuthenticityPhotoIdentCheckResultTypes: tAuthenticityPhotoIdentCheckResultType[];
/**
* Container for PhotoIdentResult
*/
export interface iAuthenticityPhotoIdentCheckResult extends aAuthenticityCheckResult {
    /**
    * Type of the performed check
    * @type {tAuthenticityPhotoIdentCheckResultType}
    */
    Type: tAuthenticityPhotoIdentCheckResultType;
    /**
    * Overall checking result
    * @type {eCheckResult}
    */
    Result: eCheckResult;
    /**
    * Array of results of checks
    * @type {iPhotoIdentResult[]}
    */
    List: iPhotoIdentResult[];
}
/**
* Container for PhotoIdentResult
*/
export declare class AuthenticityPhotoIdentCheckResult extends aAuthenticityCheckResult implements iAuthenticityPhotoIdentCheckResult {
    /**
    * Type of the performed check
    * @type {tAuthenticityPhotoIdentCheckResultType}
    */
    Type: tAuthenticityPhotoIdentCheckResultType;
    /**
    * Overall checking result
    * @type {eCheckResult}
    */
    Result: eCheckResult;
    /**
    * Array of results of checks
    * @type {iPhotoIdentResult[]}
    */
    List: PhotoIdentResult[];
    /**
    * Create instance of AuthenticityPhotoIdentCheckResult from plain object
    * @param {unknown} plain - plain object
    * @returns {AuthenticityPhotoIdentCheckResult}
    */
    static fromPlain: (plain: unknown) => AuthenticityPhotoIdentCheckResult;
    /**
    * Check if the given type belongs to AuthenticityPhotoIdentCheckResult
    * @param {unknown} type - type to check
    * @return {type is iAuthenticityPhotoIdentCheckResult} - result
    */
    static isBelongs: (type: unknown) => type is iAuthenticityPhotoIdentCheckResult;
}
